Subject: Re: Cygnus Cygwin32 Press Release 1/21/97
From: [email-masked] (Jim Balter)

14 Feb 1997 03:38:41 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Jeremy Allison <[email-masked]>
Original-CC: [email-masked]
Original-Sender: [email-masked]

Jeremy Allison wrote:

> Cygnus owns all the rights to the code currently in Cygwin32, by
> it being assigned to Cygnus by the original authors, or by being
> written by Cygnus employees. There is no question of Cygnus
> appropriating someone elses code. If a person produces a patch
> to Cygwin32 and doesn't assign ownership to Cygnus then it won't
> go into the source code repositary, it's that simple.

Much of that code is copyrighted to Sun and AT&T.  Are you saying
that they have assigned ownership to Cygnus?
Not that it matters, as long as those copyrights don't restrict
Cygnus' commercial use of that code.

> License (2) is a non-GPL use license. This allows you to use
> Cygwin32 and not share your source (boo, hiss). This is available
> for people who (for watever reason) don't want to put their source
> code under the GPL. This probably includes commercial companies
> and people who are used to commercial licenses for products. As this
> means you can ignore the GPL, this license costs.

It seems a bit odd for you to say "boo, hiss", since these are precisely
the folks that you wish to make money from.  If the goal weren't to
make money from their wanting to hoard their code, then you would
be putting the library under the LGPL.  Since your marketing folks
are so pleased by the ability to exploit the fact that companies want
to hoard code, why not be up front about it and say "hip hip hooray"?

> The only people who can complain about the situation are the
> 'Shareware' type authors who typically take freely available
> UNIX source code, port it to DOS/Windows and then hide the
> source and charge people for the privilage (a certain vendor
> of Windows NT telnetd springs to mind). Those people can pay
> to use Cygwin32 if they really want. Forgive me if I'm not
> terribly concerned about their problems with the GPL....

Since none of those people are involved in this discussion nor
have their "problems" been discussed, I'm not too sure of the relevance.

> I know how far Cygwin32 is from POSIX. I also know how close we
> can get with more engineering effort. I think the people who think
> we won't get there will be suprised :-).

No one has said you can't get there.  But you can't legally claim to be
providing a POSIX environment until you *are* there.

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".